Subject: Re: [PATCH] cvsimport move over to using git for each ref to read refs

From: Andy Whitcroft <[email-masked]>
Date: Wed, 20 Sep 2006 17:12:56 +0100

Junio C Hamano wrote:
> Andy Whitcroft <[email-masked]> writes:
> 
>> I guess we could teach for-each-ref to output this as well?  Perhaps
>> something like authorstamp?
> 
> I think you can work with "author" or "committer" to grab the
> whole raw line.
> 
> About the quoting and parsing, language specific quoting mode is
> meant for git-for-each-ref to produce a string that can be eval'ed
> in the host language.  Think of the command as a tool to write a
> short program for you.

Thanks for the education.  Very simple, and very powerful.  I knew there
was a reason for it out there.  Will respin a V3 patch in a bit.

-apw